## org.hibernate.metamodel.relational
Interface Loggable

All Known Subinterfaces:
  TableSpecification

All Known Implementing Classes:
  AbstractTableSpecification, InLineView, Table, Tuple

    public interface Loggable

Marker for things which can be logged.

Method Summary
`String` `toLoggableString()` Obtain the string representation of this value usable in log statements.

Method Detail

### toLoggableString

    String toLoggableString()

  Obtain the string representation of this value usable in log statements.

  Returns:
    The loggable representation

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.